
// TreeIterator examples
// Copyright (c) 2001 Alexander Ananiev & MyArch.com.  All rights reserved.


/** 
 * Simple wrapper to call XML DOM parser. 
 *
 * This code uses Xerces (www.apache.org) parser. Change import and invocation if other parser is used.
 * 
 */

import java.io.IOException;
import java.io.FileNotFoundException;
import java.io.FileReader;

import org.w3c.dom.Document;
import org.xml.sax.SAXException;
import org.xml.sax.InputSource;
import org.apache.xerces.parsers.DOMParser;


public class ParserUtil {

  /**
   * Calls the DOM parser and returns the root of the DOM tree.
   * 
   * @param fileName XML file name.
   * @returns DOM document -- root of the DOM tree.
   */
  public static Document parse( String fileName )
    throws IOException, FileNotFoundException,  SAXException {

    DOMParser parser = new DOMParser();
    parser.parse( new InputSource( new FileReader( fileName )));
    Document xdoc = parser.getDocument();
    return xdoc;
  }

}